ResourceTransform (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.grails.plugins.web.rest.transform
[Groovy] Class ResourceTransform

    java.lang.Object
      org.grails.plugins.web.rest.transform.ResourceTransform

All Implemented Interfaces:
  org.codehaus.groovy.transform.ASTTransformation

    @groovy.transform.CompileStatic
    @org.codehaus.groovy.transform.GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
    class ResourceTransform
    extends java.lang.Object

The Resource transform automatically exposes a domain class as a RESTful resource. In effect the transform adds a controller to a Grails application that performs CRUD operations on the domain. See the Resource annotation for more details

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary
`static java.lang.String` | `ARGUMENT_STATUS`
`static java.lang.String` | `ATTR_READY_ONLY`
`static java.lang.String` | `ATTR_RESPONSE_FORMATS`
`static java.lang.String` | `ATTR_URI`
`static org.codehaus.groovy.ast.ClassNode` | `AUTOWIRED_CLASS_NODE`
`static org.codehaus.groovy.ast.expr.ConstantExpression` | `CONSTANT_STATUS`
`static java.lang.String` | `PARAMS_VARIABLE`
`static java.lang.String` | `REDIRECT_METHOD`
`static java.lang.String` | `RENDER_METHOD`
`static java.lang.String` | `RESPOND_METHOD`

Method Summary
`org.codehaus.groovy.ast.ConstructorNode` | `addConstructor(org.codehaus.groovy.ast.ClassNode controllerClassNode, org.codehaus.groovy.ast.ClassNode domainClassNode, boolean readOnly)`
`ResourceLocator` | `getResourceLocator()`
`void` | `visit(org.codehaus.groovy.ast.ASTNode[] astNodes, org.codehaus.groovy.control.SourceUnit source)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### ARGUMENT_STATUS

    public static final java.lang.String ARGUMENT_STATUS

### ATTR_READY_ONLY

    public static final java.lang.String ATTR_READY_ONLY

### ATTR_RESPONSE_FORMATS

    public static final java.lang.String ATTR_RESPONSE_FORMATS

### ATTR_URI

    public static final java.lang.String ATTR_URI

### AUTOWIRED_CLASS_NODE

    public static final org.codehaus.groovy.ast.ClassNode AUTOWIRED_CLASS_NODE

### CONSTANT_STATUS

    public static final org.codehaus.groovy.ast.expr.ConstantExpression CONSTANT_STATUS

### PARAMS_VARIABLE

    public static final java.lang.String PARAMS_VARIABLE

### REDIRECT_METHOD

    public static final java.lang.String REDIRECT_METHOD

### RENDER_METHOD

    public static final java.lang.String RENDER_METHOD

### RESPOND_METHOD

    public static final java.lang.String RESPOND_METHOD

Method Detail

### addConstructor

    org.codehaus.groovy.ast.ConstructorNode addConstructor(org.codehaus.groovy.ast.ClassNode controllerClassNode, org.codehaus.groovy.ast.ClassNode domainClassNode, boolean readOnly)

### getResourceLocator

    ResourceLocator getResourceLocator()

### visit

    @java.lang.Override
    void visit(org.codehaus.groovy.ast.ASTNode[] astNodes, org.codehaus.groovy.control.SourceUnit source)

Groovy Documentation